Bug 43365 - [Qt] DOM listeners get wrong keycodes for some keys
Summary: [Qt] DOM listeners get wrong keycodes for some keys
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-02 10:24 PDT by Martin Robinson
Modified: 2010-09-13 08:25 PDT (History)
0 users

See Also:


Attachments
Blind patch (3.43 KB, patch)
2010-08-02 10:38 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Tested patch for this issue (3.47 KB, patch)
2010-09-11 18:56 PDT, Martin Robinson
kling: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2010-08-02 10:24:53 PDT
http://trac.webkit.org/changeset/64470 fixed some bugs and introduced tests related to invalid keyCodes sent for Print Screen and keypad insert/delete keys. WebKitQt seems to have this same issue as well.
Comment 1 Martin Robinson 2010-08-02 10:28:39 PDT
Committed r64473: <http://trac.webkit.org/changeset/64473>
Comment 2 Martin Robinson 2010-08-02 10:38:46 PDT
Created attachment 63233 [details]
Blind patch
Comment 3 Martin Robinson 2010-08-02 10:39:46 PDT
I've uploaded a patch which I'm fairly certain fixes this issue, but I'm unable to test it right now as my version of Qt is not fully up-to-date. When I can test this / get someone to test it for me, I'll r? it.
Comment 4 Martin Robinson 2010-09-11 18:56:11 PDT
Created attachment 67323 [details]
Tested patch for this issue
Comment 5 Andreas Kling 2010-09-12 03:39:22 PDT
Comment on attachment 67323 [details]
Tested patch for this issue

Thanks for fixing this! r=me
Comment 6 Martin Robinson 2010-09-13 08:25:54 PDT
Committed r67389: <http://trac.webkit.org/changeset/67389>